--Lib creada por Jorge_97 
function cols(obj,x2,y2,r2)
	local x = obj.x-x2
	local y = obj.y-y2
	if obj.r+r2 >= math.sqrt(x*x+y*y) then
		return true;
	end
	return false;
end

function create(obj,img)
for i=1,14 do
obj[i]={x=0,y=0,w=img:width(),h=img:height(),e=false,ang=0,vel=0}
obj[i].r=(obj[i].w+obj[i].h)/2
obj.recarga=timer.new()
obj.cx=0
obj.cy=0
obj.actual=1
obj.img=img
end
obj.recarga:start()
end


function shoot(obj,x,y,vel,ang,tiempo_recarga)
if obj.recarga:time()>tiempo_recarga and obj[obj.actual].e==false then 
obj[obj.actual].x=x
obj[obj.actual].y=y
obj[obj.actual].ang=ang
obj[obj.actual].vel=vel
obj[obj.actual].e=true
obj.recarga:reset()
return true 
else
obj.actual=obj.actual+1
end
if obj.actual>14 then obj.actual=1 end

end

function blit(obj)
for i=1,14 do
if obj[i].e then
obj.img:rotate(obj[i].ang)
obj.img:blit(obj[i].x,obj[i].y)
obj[i].x = obj[i].x + math.cos(math.rad(obj[i].ang))*obj[i].vel
obj[i].y = obj[i].y + math.sin(math.rad(obj[i].ang))*obj[i].vel
end
if obj[i].x>480 or obj[i].x<0 or obj[i].y>272 or obj[i].y<0 then obj[i].e=false end
end
end

function collision(obj,x,y,r,desaparecer)
for i=1,14 do
if obj[i].e and cols(obj[i],x,y,r) then
obj.cx=obj[i].x
obj.cy=obj[i].y
if desaparecer then
obj[i].e=false
end
return true
end
end
return false
end	

function getCollisionCoordinates(obj)
return obj.cx, obj.cy
end

