os.cpu(333)

function draw.circle(x,y,r,color)
  local x0, y0 = r, 0
  for i=0,90,15 do
     local x1,y1 = r*math.cos( math.rad( i )), r*math.sin(math.rad( i ));
     draw.line(x+x1,y+y1,x+x0,y+y0,color);
     draw.line(x+x0,y-y0,x+x1,y-y1,color);
     draw.line(x-x0,y+y0,x-x1,y+y1,color);
     draw.line(x-x0,y-y0,x-x1,y-y1,color);
     x0, y0 = x1, y1;
  end
end

function col(x1,y1,r1,x2,y2,r2)
	local x = x1-x2
	local y = y1-y2
	if r1+r2 >= math.sqrt(x*x+y*y) then
		return true;
	end
	return false;
end


dofile("armas.lua")

negro=color.new(0,0,0)
verde=color.new(0,255,0)
blanco=color.new(255,255,255)
rojo=color.new(255,0,0)
amarillo=color.new(255,255,0)
gris=color.new(128,128,128)
azul=color.new(0,0,255)

t1=image.load("imagenes/t1.png")
t2=image.load("imagenes/t2.png")
t3=image.load("imagenes/t3.png")
t4=image.load("imagenes/t4.png")


myf=font.load("font.pgf")

sonido={}
sonido[1]=sound.load("sonidos/sonido1.wav")
for i=2,5 do
	sonido[i]=sound.load("sonidos/sonido"..i..".mp3")
end

ball={}
bola=nil
for i=1,4 do
ball[i]=image.load("imagenes/ball"..i..".png")
end

c={}
for i=1,5 do
c[i]=image.load("imagenes/c"..i..".png")
end


dofile("complementos.lua")
dofile("menus.lua")
dofile("editor/script.lua")
dofile("misiones/base.lua")

points={}

gun={}
for i=1,5 do
	gun[i]={}
end
create(gun[1],image.create(3,3,negro))
create(gun[2],image.create(5,5,amarillo))
create(gun[3],image.create(8,3,gris))
create(gun[4],image.create(5,5,azul))
create(gun[5],image.create(5,5,verde))

p={x=230,y=130,w=1,h=1,i=image.load("imagenes/cursor.png"),r=1}


posicion=1

cesped=image.load("imagenes/cesped.png")


function mejor()

s1=tonumber(ini.read("score.ini","s1",0))
s2=tonumber(ini.read("score.ini","s2",0))
s3=tonumber(ini.read("score.ini","s3",0))

if puntos>s1 then 
	ini.write("score.ini","s1",puntos)
	ini.write("score.ini","s2",s1)
	ini.write("score.ini","s3",s2)
else
	if puntos>s2 then
		ini.write("score.ini","s2",puntos)
		ini.write("score.ini","s3",s2)
	end
end

if puntos>s3 and puntos<s2 then
	ini.write("score.ini","s3",puntos)
end

end


function juego()
screen.flip()
table.insert(zona,{"a","a","a","a","a","a","a","a","a","a","a","a","a","a","a"})
plantilla=zona
ver_mapa()

ronda=0
ty=0
dinero=20
e={}

torre={
{r=20,d=8,p=20},
{r=30,d=12,p=35},
{r=40,d=15,p=65},
{r=50,d=20,p=80},
{r=70,d=25,p=100},
}


posicion=1
factorotacion=1
bola=ball[1]
puntos=0
velocidad=ronda/20+0.3
while true do
controls.read()

if velocidad>2.5 then velocidad=2.5 end
factorotacion=factorotacion+velocidad*3
bola:rotate(factorotacion)

if p.y<18 then p.y=18 elseif p.y>242 then p.y=242 end
fondo:blit(0,0)

if controls.press("cross") and posicion<6 then
	if #torre[posicion]<5 then 
		if plantilla[math.ceil(p.y/32)][math.ceil(p.x/32)]=="a" then
			if dinero>=torre[posicion].p then
				dinero=dinero-torre[posicion].p
				table.insert(torre[posicion],{x=math.floor(p.x/32)*32+6,y=math.floor(p.y/32)*32+6})
				plantilla[math.ceil(p.y/32)][math.ceil(p.x/32)]="s"
			else
				table.insert(points,{x=p.x,y=p.y,t="Dinero insuficiente",c=rojo,w=0})
			end
		elseif plantilla[math.ceil(p.y/32)][math.ceil(p.x/32)]=="r" then
			if dinero>=torre[posicion].p/2 then
				dinero=dinero-torre[posicion].p/2
				table.insert(torre[posicion],{x=math.floor(p.x/32)*32+6,y=math.floor(p.y/32)*32+6})
				plantilla[math.ceil(p.y/32)][math.ceil(p.x/32)]="s"
			else
				table.insert(points,{x=p.x,y=p.y,t="Dinero insuficiente",c=rojo,w=0})
			end
		else
			table.insert(points,{x=p.x,y=p.y,t="Imposible contruir aqui",c=rojo,w=0})
		end
	else
		table.insert(points,{x=p.x,y=p.y,t="Demasiadas torres de ese tipo",c=rojo,w=0})
	end
end

for i=1,#e do
e[i].px=math.floor(e[i].x/32)
e[i].py=math.floor(e[i].y/32)

if zona[e[i].py][e[i].px]=="f" then os.message("Has perdido. Puntuacin: "..puntos) mejor() menu() end

if e[i].d==1 then e[i].x=e[i].x+velocidad end
if e[i].d==2 then e[i].y=e[i].y+velocidad end
if e[i].d==3 then e[i].y=e[i].y-velocidad end

if zona[e[i].py][e[i].px+1]=="c" or zona[e[i].py][e[i].px+1]=="f" then 
		if e[i].py>e[i].y/32-0.1 then e[i].d=1 end
else
	if e[i].py<#zona then if zona[e[i].py+1][e[i].px]=="c" or zona[e[i].py+1][e[i].px]=="f" then
		if e[i].d==1 then e[i].d=2 end end end
	if e[i].py>1 then if zona[e[i].py-1][e[i].px]=="c" or zona[e[i].py-1][e[i].px]=="f" then
		if e[i].d==1 then e[i].d=3 end end end
end
bola:blit(e[i].x-16,e[i].y-16)
draw.fillrect(e[i].x-32,e[i].y-37,32/e[i].m*e[i].v,3,rojo)
draw.rect(e[i].x-32,e[i].y-37,32,3,negro)


if e[i].v<=0 then table.insert(points,{x=e[i].x,y=e[i].y,t=2,w=0,c=verde}) table.remove(e,i) dinero=dinero+2 puntos=puntos+1 break end
end

for w=1,5 do

blit(gun[w])

for o=1,#torre[w] do
	c[w]:blit(torre[w][o].x,torre[w][o].y) 
	if col(p.x,p.y,p.r,torre[w][o].x+9,torre[w][o].y+9,torre[w].r/3) then 
		if controls.triangle() then 
			draw.circle(torre[w][o].x+9,torre[w][o].y+9,torre[w].r,rojo) 
		end
		if controls.press("square") then 
			table.remove(torre[w],o) plantilla[math.ceil(p.y/32)][math.ceil(p.x/32)]="a" break
		end
	end
	for u=1,#e do
		if torre[w][o].x!=-100 then 
			if collision(gun[w],e[u].x-16,e[u].y-16,e[u].r,true) then e[u].v=e[u].v-torre[w].d end
			if col(torre[w][o].x+9,torre[w][o].y+9,torre[w].r,e[u].x-16,e[u].y-16,e[u].r) then 
			ang=180+math.deg(math.atan2(torre[w][o].y+15-e[u].y,torre[w][o].x+15-e[u].x))
			if shoot(gun[w],torre[w][o].x+15,torre[w][o].y+15,2,ang,300) then
			sonido[w]:play(w)
			end
			end	
		end
	end

end
end

if p.y<225 then barra_f() end
cursor()
if controls.start() then menu() end

if controls.press("cross") and posicion==6 and #e<10 and ty==-20 then
for i=math.ceil(ronda*1.3),math.ceil((ronda+1)*1.6) do
table.insert(e,{x=0-45*i,y=64,px=0,py=0,d=1,r=25,v=ronda*5+6,m=ronda*5+6})

ronda=ronda+1
velocidad=ronda/20+0.3
end
end

for i=1,#points do
screen.print(myf,points[i].x,points[i].y,points[i].t,0.6,points[i].c,0,"center")
points[i].w=points[i].w+1
if points[i].w>20 then table.remove(points,i) break end
end

if #e==0 then ty=ty+2 end
screen.print(myf,240,ty,"Ronda "..ronda+1,1,rojo,0,"center")
if ty>272 then 

if ronda==15 then bola=ball[2] end
if ronda==30 then bola=ball[3] end
if ronda==45 then bola=ball[4] end

ty=-20 
ronda=ronda+1
velocidad=ronda/20+0.3
for i=1,math.ceil(ronda*1.3) do
e[i]={x=0-45*i,y=64,px=0,py=0,d=1,r=25,v=ronda*5+6,m=ronda*5+6}
end
end

if ronda>60 then os.message("Enhorabuena Partida Completada. Puntuacin: "..puntos) mejor() menu() end
screen.flip()
end
end

menu()